Package org.drinkless.tdlib

# Class TdApi.TestReturnError

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Error>
org.drinkless.tdlib.TdApi.TestReturnError

Enclosing class:
  `TdApi`

public static class TdApi.TestReturnError extends TdApi.Function<TdApi.Error>
Returns the specified error and ensures that the Error object is used; for testing only. Can be called synchronously.

Returns `Error`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Error`
  `error`
  The error to be returned.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TestReturnError()`
  Default constructor for a function, which returns the specified error and ensures that the Error object is used; for testing only.
  `TestReturnError(TdApi.Error error)`
  Creates a function, which returns the specified error and ensures that the Error object is used; for testing only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### error

    public TdApi.Error error
    The error to be returned.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### TestReturnError

    public TestReturnError()
    Default constructor for a function, which returns the specified error and ensures that the Error object is used; for testing only. Can be called synchronously.

    Returns `Error`

  - ### TestReturnError

    public TestReturnError(TdApi.Error error)
    Creates a function, which returns the specified error and ensures that the Error object is used; for testing only. Can be called synchronously.

    Returns `Error`

    Parameters:
      `error` - The error to be returned.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Error>`
    Returns:
      this.CONSTRUCTOR